Vector::BLF::FileStatistics(3)

NAME
Vector::BLF::FileStatistics

SYNOPSIS

#include <FileStatistics.h>

  Public Member Functions
FileStatistics (const FileStatistics &)=default
FileStatistics & operator= (const FileStatistics &)=default
FileStatistics (FileStatistics &&)=default
FileStatistics & operator= (FileStatistics &&)=default
virtual void read (AbstractFile &is)
virtual void write (AbstractFile &os)
uint32_t calculateStatisticsSize () const

  Public Attributes
uint32_t signature {FileSignature}
uint32_t statisticsSize {calculateStatisticsSize()}
uint32_t apiNumber { 4080200 }
uint8_t applicationId {}
uint8_t compressionLevel {1}
uint8_t applicationMajor {}
uint8_t applicationMinor {}
uint64_t fileSize {}
uint64_t uncompressedFileSize {}
uint32_t objectCount {}
uint32_t applicationBuild {}
SYSTEMTIME measurementStartTime {}
SYSTEMTIME lastObjectTime {}
uint64_t restorePointsOffset {}
std::array< uint32_t, 16 > reservedFileStatistics {}

Detailed Description

File statistics

Member Function Documentation

  uint32_t Vector::BLF::FileStatistics::calculateStatisticsSize () const
Calculates the statisticsSize

Returns
    statistics size

  void Vector::BLF::FileStatistics::read (AbstractFile & is) [virtual]
read file statistics

Parameters
    is input stream

  void Vector::BLF::FileStatistics::write (AbstractFile & os) [virtual]
write file statistics

Parameters
    os output stream

Member Data Documentation

  uint32_t Vector::BLF::FileStatistics::apiNumber { 4080200 }
BL API number

This consists of major, minor, build, patch. It's encoded as such: major * 1000000 + minor * 1000 + build * 100 + patch. Example: 4010608 decodes to 4.1.6.8.

  uint32_t Vector::BLF::FileStatistics::applicationBuild {}
application build number

Todo
    The BL API function takes an uint8_t argument here.

  uint8_t Vector::BLF::FileStatistics::applicationId {}
application ID

  uint8_t Vector::BLF::FileStatistics::applicationMajor {}
application major number

  uint8_t Vector::BLF::FileStatistics::applicationMinor {}
application minor number

  uint8_t Vector::BLF::FileStatistics::compressionLevel {1}
compression level

Note
    zlib defines maximum compression level 9. All files that show 10 here, actually have LogContainers with compression level 6, which is default for Vector BLF.

  uint64_t Vector::BLF::FileStatistics::fileSize {}
(compressed) file size in bytes

  SYSTEMTIME Vector::BLF::FileStatistics::lastObjectTime {}
last object time

  SYSTEMTIME Vector::BLF::FileStatistics::measurementStartTime {}
measurement start time

  uint32_t Vector::BLF::FileStatistics::objectCount {}
number of objects

  std::array<uint32_t, 16> Vector::BLF::FileStatistics::reservedFileStatistics {}
reserved

  uint64_t Vector::BLF::FileStatistics::restorePointsOffset {}

Note
    The following variables are based on observations, as there is no public documentation available. This variable designates the file position of the (first) LogContainer that contains the RestorePointContainer objects.

If RestorePoints are not used, this defaults to 0.

See also
    RestorePointContainer

  uint32_t Vector::BLF::FileStatistics::signature {FileSignature}
signature (signature)

  uint32_t Vector::BLF::FileStatistics::statisticsSize {calculateStatisticsSize()}
sizeof(FileStatistics)

  uint64_t Vector::BLF::FileStatistics::uncompressedFileSize {}
uncompressed file size in bytes

Author

Generated automatically by Doxygen for Vector BLF from the source code.